Rust Search

Find the best content on Rust, curated by the community; a search engine for Rustaceans.
github.com
## Summary Disallow `extern` without an explicit ABI in a new edition. Write `extern "C"` (or another ABI) instead of just `extern`. ```diff - extern { … } + extern "C" { … } - extern fn foo() { … } + extern "C" fn foo() { … } ``` ## Motiva...
RFC 3722 RFC 2024-10-30 ~2 min read
github.com
Safe Parquet and Thrift reader and writer (sync and async)
Crate v0.1.0 2024-10-27
github.com
## Summary [summary]: #summary * We introduce the concept of "target modifier". A target modifier is a flag where it may be unsound if you link together two compilation units that disagree on the flag. * We fail the build if rustc can see t...
RFC 3716 RFC 2024-10-24 ~18 min read
github.com
A utility crate for imposing upper bounds on Future lifetimes.
Crate v0.1.4 2024-10-23
github.com
metrics-rs exporter that supports reporting metrics to StatsD
Crate v0.9.0 2024-10-21
github.com
Low level binding for FreeType font library
Crate v0.23.0 2024-10-20
github.com
Wrapper types and traits for secret management which help ensure they aren't accidentally copied, logged, or otherwise exposed (as much as possible), and also ensure secrets are securely wiped from memory when dropped.
Crate v0.10.3 2024-10-09
github.com
The `tokio` simulator on madsim.
Crate v0.2.30 2024-10-04
github.com
Basic .pem file parser for keys and certificates
Crate v2.2.0 2024-09-30
github.com
## Summary [summary]: #summary Support defining `macro_rules!` macros that work as attribute macros. ## Motivation [motivation]: #motivation Many crates provide attribute macros. Today, this requires defining proc macros, in a separate crat...
RFC 3697 RFC 2024-09-20 ~8 min read
github.com
## Summary [summary]: #summary Support implementing `derive(Trait)` via a `macro_rules!` macro. ## Motivation [motivation]: #motivation Many crates support deriving their traits with `derive(Trait)`. Today, this requires defining proc macro...
RFC 3698 RFC 2024-09-20 ~9 min read
github.com
## Summary [summary]: #summary Allow `true` and `false` boolean literals as `cfg` predicates, i.e. `cfg(true)`/`cfg(false)`. ## Motivation [motivation]: #motivation Often, we may want to temporarily disable a block of code while working on...
RFC 3695 RFC 2024-09-16 ~2 min read
github.com
## Summary [summary]: #summary Give users control over the feature unification that happens based on the packages they select. - A way for `cargo check -p foo -p bar` to build like `cargo check -p foo && cargo check -p bar` - A way for `car...
RFC 3692 RFC 2024-09-11 ~7 min read
github.com
Serde serialization support for uint and fixed hash.
Crate v0.5.0 2024-09-11
github.com
RLP serialization support for uint and fixed hash.
Crate v0.4.0 2024-09-11
github.com
num-traits implementation for uint.
Crate v0.2.0 2024-09-11
github.com
Procedural macros for the `fred` Redis client
Crate v0.1.0 2024-09-03
github.com
Utility crate that allows executables to replace or uninstall themselves
Crate v1.5.0 2024-09-01
github.com
## Summary [summary]: #summary Allow `struct` definitions to provide default values for individual fields and thereby allowing those to be omitted from initializers. When deriving `Default`, the provided values will then be used. For exampl...
RFC 3681 RFC 2024-08-22 ~45 min read
github.com
Bindings to Core Foundation for macOS
Crate v0.8.7 2024-08-11
"The big gorilla 3D game framework. Apparently it actually works."

Search tips

Type anything to search across articles, videos (including conference talks), podcasts, research, crates, and Rust API documentation. These operators give you finer control — click an example to try it.

Find pages containing all your words. Pages where the words appear together rank higher.
Quote part of your query to keep those words together as an exact phrase within a larger search.
Wrap the whole query in quotes for a verbatim search that matches text exactly, punctuation and all — perfect for Rust syntax. Needs at least 3 characters.
Put ! first to open the top result immediately. Quote the whole query for a literal leading bang, as in '!Send'. Bangs elsewhere, such as println!, stay literal. Browser and launcher shortcuts can invoke this directly. See search integrations.
Limit results to a single site. Works on its own () too. One site: per search.

Use the tabs and filters above the results to narrow by content type, publication year, and sort order.